Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZTechRenderer Class Reference

## Public Member Functions
| __construct (&$article)
& | renderIntro ()
& | renderPage ( $pageNumber=0)
& | renderPlain ( $pageContent, $paragraph)
& | renderLink ( $pageContent, $paragraph)
& | renderImage ( $pageContent, $paragraph, $articleImages)
& | renderCode ( $pageContent, $paragraph)
& | renderStandards ( $pageContent, $paragraph)
& | sptobsp ( $string)
| usedImageList ()

## Public Attributes
| $UsedImageList
| $Article
| $PrevTag

## Private Member Functions
& | renderModule ( $pageContent, $paragraph)
& | phpHighlight ( $string)
& | sqlHighlight ( $string)
& | cppHighlight ( $string)
& | shellHighlight ( $string)
& | perlHighlight ( $string)
& | lispHighlight ( $string)
& | javaHighlight ( $string)
& | htmlHighlight ( $string)

## Detailed Description

! eZArticle eZTechRenderer renders XML contents into html articles.

This class wil decode the tech articles generated by eZTechGenerator. Supported tags:

<page> - pagebreak
<header>
Header text
</header>
<link ez.no text to the link> - anchor
<iconlink ez.no text to the link> - anchor
<mail adresse@domain.tld subject line, link text> - anchor to email address with subject
<image 42 align size> - image tag, 42 is the id, alignment (left|center|right|float), size (small|medium|large|original)
<ezanchor anchorname>
<module modulename> - this will include a php file named "modulename.php" if it is found in the
ezrticle/modules dir.
<bullet>
</bullet>
<html>
html code, this will print out the HTML code..
</html>
<cpp>
cpp code
</cpp>
<php>
php code
</php>
<java>
java code
</java>
<ezhtml>
html code
</ezhtml>
<shell>
shell code
</shell>
<sql>
sql code
</sql>
<perl>
perl code
</perl>
<lisp>
lisp code
</lisp>
<bold>
bold text
</bold>
<italic>
italic text
</italic>
<underline>
underlined text
</underline>
<strike>
strike text
</strike>
<pre>
predefined text
</pre>
<verbatim>
predefined text
</verbatim>

See also
  eZTechGenerator

TODO Add better syntax highlighting.

Definition at line 126 of file eztechrenderer.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTechRenderer::__construct | ( | & | $article | ) |

Creates a new eZTechGenerator object.

Definition at line 131 of file eztechrenderer.php.

References $article.

## Member Function Documentation

## ◆ cppHighlight()

& eZTechRenderer::cppHighlight | ( |  | $string | ) |
| private

Returns a c++ highlighted string.

Definition at line 872 of file eztechrenderer.php.

Referenced by renderCode().

## ◆ htmlHighlight()

& eZTechRenderer::htmlHighlight | ( |  | $string | ) |
| private

Returns a html highlighted string.

Definition at line 1171 of file eztechrenderer.php.

Referenced by renderCode().

## ◆ javaHighlight()

& eZTechRenderer::javaHighlight | ( |  | $string | ) |
| private

Returns a java highlighted string.

Definition at line 1125 of file eztechrenderer.php.

Referenced by renderCode().

## ◆ lispHighlight()

& eZTechRenderer::lispHighlight | ( |  | $string | ) |
| private

Returns a lisp highlighted string.

Definition at line 985 of file eztechrenderer.php.

References $index, $name, and sptobsp().

Referenced by renderCode().

## ◆ perlHighlight()

& eZTechRenderer::perlHighlight | ( |  | $string | ) |
| private

Returns a perl highlighted string.

Definition at line 943 of file eztechrenderer.php.

Referenced by renderCode().

## ◆ phpHighlight()

& eZTechRenderer::phpHighlight | ( |  | $string | ) |
| private

Returns a php highlighted string.

Definition at line 768 of file eztechrenderer.php.

Referenced by renderCode().

## ◆ renderCode()

& eZTechRenderer::renderCode | ( |  | $pageContent,
|  |  | $paragraph
| ) |  |

Definition at line 653 of file eztechrenderer.php.

References cppHighlight(), htmlHighlight(), javaHighlight(), lispHighlight(), perlHighlight(), phpHighlight(), shellHighlight(), and sqlHighlight().

Referenced by renderIntro(), and renderPage().

## ◆ renderImage()

& eZTechRenderer::renderImage | ( |  | $pageContent,
|  |  | $paragraph,
|  |  | $articleImages
| ) |  |

Definition at line 514 of file eztechrenderer.php.

References $articleID, $GlobalSiteIni, $image, $ini, $variation, and eZPBLog\writeError().

Referenced by renderIntro(), and renderPage().

## ◆ renderIntro()

& eZTechRenderer::renderIntro | ( |  | ) |

Returns the XHTML contents of the introduction of the article.

Definition at line 139 of file eztechrenderer.php.

References $article, $articleID, $i, renderCode(), renderImage(), renderLink(), renderModule(), renderPlain(), and renderStandards().

## ◆ renderLink()

& eZTechRenderer::renderLink | ( |  | $pageContent,
|  |  | $paragraph
| ) |  |

Definition at line 345 of file eztechrenderer.php.

References $GlobalSiteIni.

Referenced by renderIntro(), and renderPage().

## ◆ renderModule()

& eZTechRenderer::renderModule | ( |  | $pageContent,
|  |  | $paragraph
| ) |  |
| private

Definition at line 459 of file eztechrenderer.php.

References $name, and file_exists().

Referenced by renderIntro(), and renderPage().

## ◆ renderPage()

& eZTechRenderer::renderPage | ( |  | $pageNumber = `0` | ) |

Returns the XHTML article of the article.

Returns an array( $intro, $contents );

Definition at line 211 of file eztechrenderer.php.

References $article, $articleID, $page, renderCode(), renderImage(), renderLink(), renderModule(), renderPlain(), and renderStandards().

## ◆ renderPlain()

& eZTechRenderer::renderPlain | ( |  | $pageContent,
|  |  | $paragraph
| ) |  |

Definition at line 328 of file eztechrenderer.php.

References eZTextTool\nl2br().

Referenced by renderIntro(), and renderPage().

## ◆ renderStandards()

& eZTechRenderer::renderStandards | ( |  | $pageContent,
|  |  | $paragraph
| ) |  |

Definition at line 711 of file eztechrenderer.php.

Referenced by renderIntro(), and renderPage().

## ◆ shellHighlight()

& eZTechRenderer::shellHighlight | ( |  | $string | ) |
| private

Returns a shell script highlighted string.

Definition at line 915 of file eztechrenderer.php.

Referenced by renderCode().

## ◆ sptobsp()

& eZTechRenderer::sptobsp | ( |  | $string | ) |

Definition at line 1115 of file eztechrenderer.php.

Referenced by lispHighlight().

## ◆ sqlHighlight()

& eZTechRenderer::sqlHighlight | ( |  | $string | ) |
| private

Returns a sql highlighted string.

Definition at line 814 of file eztechrenderer.php.

Referenced by renderCode().

## ◆ usedImageList()

eZTechRenderer::usedImageList | ( |  | ) |

Returns the relative ID to the images used ( rendered ) in this article

Definition at line 1186 of file eztechrenderer.php.

References $UsedImageList.

## Member Data Documentation

## ◆ $Article

eZTechRenderer::$Article

Definition at line 1194 of file eztechrenderer.php.

## ◆ $PrevTag

eZTechRenderer::$PrevTag

Definition at line 1195 of file eztechrenderer.php.

## ◆ $UsedImageList

eZTechRenderer::$UsedImageList

Definition at line 1192 of file eztechrenderer.php.

Referenced by usedImageList().

The documentation for this class was generated from the following file:

- eztechrenderer.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.